<%@ Page language="c#" Codebehind="RadWindowManager.aspx.cs" AutoEventWireup="false" Inherits="RadWindow1.Demos.RadWindowManager" %>
<%@ Register tagprefix="radW" namespace = "Telerik.WebControls" assembly="RadWindow" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" > 

<html>
  <head>
    <title>r.a.d.window manager clientside API</title>
	<link rel=stylesheet type=text/css href="./Styles.css">
  </head>
  <body>
	
    <form id="Form1" method="post" runat="server">
    
		<br>
				
				<script>
					function ShowMessage(oMessage)
					{
						var oCheck = document.getElementById("ShowMessageCheckbox");
						if (false == oCheck.checked) return;
						else alert (oMessage);						
					}
				
					function UseWindowManager()
					{
						ShowMessage("Getting rad window manager");
						var oManager = GetRadWindowManager();
						ShowMessage("Success. Getting existing window DialogWindow using GetWindowByName");
						var oWnd = oManager.GetWindowByName("DialogWindow");
						
						ShowMessage("Success. Setting a size and a Url to the window using its client API before showing");
						oWnd.SetSize(400,400);						
						oWnd.SetUrl("./TestPage/Default.html");
						
						ShowMessage("Success. Opening window");
						oWnd.Show();
						
						ShowMessage("Success. Calling window RadWindowManager.GetActiveWindow (should return reference to current window");
						var oActive = oManager.GetActiveWindow();
						
						ShowMessage("Success. Is current visible window the active one? " + (oActive != null && oActive == oWnd));
						
						ShowMessage("Success. Open a new window using RadWindowManager.Open using default settings");
						
						var oNew = oManager.Open("./TestPage/Default.html", null);//New window every time
					}																			
				</script>
				
				<input id="ShowMessageCheckbox" checked type=checkbox>Show alerts for each action
				<br>
				<button onclick="UseWindowManager();return false;" class="bButton" style="width:200px">Click to use RadWindowManager</button>
								
				<radW:RadWindowManager 
					id="Singleton" 
					runat="server"										
					>
					<windows>
						<radW:RadWindow id="DialogWindow" 																												
							Runat="server" 
							Width="250px" 						
							Height="250px" 
							Title="Dialog" 
							NavigateUrl="./TestPage/Default.html">
						</radW:RadWindow>
					</windows>
				</radW:RadWindowManager>
			
			<br/><br/>	
			<table class="ConfigTable">
			<tr><th>Clientside RadWindowManager methods</th></tr>				
			<tr><td>
				 <strong>GetRadWindowManager</strong> - returns a reference to the window manager<br/>
				<strong>GetWindowByName</strong> - returns a reference to a rad window (Name is the window's serverside Id property!)<br/>				
				<strong>GetActiveWindow</strong> - returns a reference to the current active window<br/>				
				<strong>Open</strong> - opens a new or existing window. Can be used to change the url of existing window as well.<br/>				
				<strong>Tile, Cascade, CloseAll, MinimizeAll, MinimizeActiveWindow, RestoreActiveWindow</strong> - 
					other methods of RadWindowManager<br/>				
			</td></tr>			
			
				<tr><th>Clientside RadWindowManager methods</th></tr>				
			<tr><td>
				 			
			<FONT color=#0000ff size=2>
<P>function</FONT><FONT size=2> UseWindowManager()<BR>{<BR></FONT><FONT 
color=#008000 size=2>//Getting rad window manager<BR></FONT><FONT 
color=#0000ff size=2>var</FONT><FONT size=2> oManager = 
GetRadWindowManager();<BR></FONT><FONT color=#008000 size=2>//Success. 
Getting existing window DialogWindow using GetWindowByName<BR></FONT><FONT 
color=#0000ff size=2>var</FONT><FONT size=2> oWnd = 
oManager.GetWindowByName("DialogWindow");<BR></FONT><FONT color=#008000 
size=2>//Success. Setting a size and a Url to the window using its client 
API before showing<BR></FONT><FONT 
size=2>oWnd.SetSize(400,400);<BR>oWnd.SetUrl("http://www.google.com");<BR></FONT><FONT 
color=#008000 size=2>//Success. Opening window<BR></FONT><FONT 
size=2>oWnd.Show();<BR></FONT><FONT color=#008000 size=2>//Success. 
Calling window RadWindowManager.GetActiveWindow (should return reference to 
current window<BR></FONT><FONT color=#0000ff size=2>var</FONT><FONT size=2> 
oActive = oManager.GetActiveWindow();<BR></FONT><FONT color=#008000 
size=2>//Success. Is current visible window the active one? " + (oActive != 
null &amp;&amp; oActive == oWnd)<BR></FONT><FONT color=#008000 
size=2>//Success. Open a new window using RadWindowManager.Open using 
default settings<BR></FONT><FONT color=#0000ff size=2>var</FONT><FONT 
size=2> oNew = oManager.Open("../TestPage/Default.html", "NewWindow");<BR>} 
</P></FONT>
			</td></tr>	
			</table>

     </form>
	
  </body>
</html>
